package com.salpa.web.controller.subject;

import com.salpa.common.core.domain.AjaxResult;
import com.salpa.subject.service.DocumentTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 文档模板
 *
 * @author zhuff
 */
@RestController
@RequestMapping("/subject/documentTemplate")
public class DocumentTemplateController {

    @Autowired
    private DocumentTemplateService documentTemplateService;

    /**
     * 获取模板属性
     * @return
     */
    @PostMapping("getAllProperties")
    public AjaxResult getAllProperties() {
        return AjaxResult.success(documentTemplateService.getAllProperties());
    }
}
