package com.salpa.subject.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 数据库类型表 monitor_waening
 *
 * @author zff
 */
@Data
public class MonitorWarning {

    /** ID */
    private Integer id;

    /** 告警名称 */
    private String warningName;

    /** 所属主题模型 */
    private String warningSubject;

    /** 所属数据库 */
    private String warningDataSource;

    /** 告警时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date warningTime;

    /** 告警内容 */
    private String warningContent;

    /** 告警状态 */
    private Integer warningStatus;

    /** 告警处理人 */
    private String handlingUser;
}
