package com.salpa.subject.mapper;

import com.salpa.subject.domain.MonitorProjectSyncTask;
import com.salpa.subject.domain.data.ProjectSyncTaskStatus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ProjectSyncTaskMapper {

    void updateStatusAndResultById(@Param("taskId") Integer taskId, @Param("status")String status, @Param("result")String result);

    List<MonitorProjectSyncTask> listNewTasks(int size);
}
