package com.salpa.web.controller.system;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.salpa.common.config.SalpaConfig;
import com.salpa.common.utils.StringUtils;

/**
 * 首页
 *
 * @author salpa
 */
@RestController
public class SysIndexController
{
    /** 系统基础配置 */
    @Autowired
    private SalpaConfig salpaConfig;

    /**
     * 访问首页，提示语
     */
    @RequestMapping("/")
    public String index()
    {
        return StringUtils.format("欢迎使用{}敏捷元数据模型后台，当前版本：v{}，请通过前端地址访问。", salpaConfig.getName(), salpaConfig.getVersion());
    }
}
