package com.salpa.subject.domain.diff;

import com.alibaba.fastjson2.JSON;
import com.salpa.subject.domain.diff.data.DiffType;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class IndexDocDiff implements DiffAble<IndexDocDiff> {

    private Integer id;

    private Integer tableDocumentId;

    private Integer databaseDocumentId;

    private String name;

    private Boolean isUnique;

    private String columnNameArray;

    private LocalDateTime createAt;

    private DiffType diffType;

    private IndexDocDiff original;
}
