package com.salpa.subject.service;

import com.salpa.subject.domain.MonitorWarning;

import java.util.List;

/**
 * @author zff
 */
public interface WarningService {

    /**
     * 获取告警列表
     * @param pageNum
     * @param pageSize
     * @return
     */
    List<MonitorWarning> warningList(Integer pageNum, Integer pageSize);

    /**
     * 修改告警状态
     * @param id
     * @return
     */
    int updateStatus(Long id);
}
